AOZ Studio Beta - Bug #702

AOZIP file structure is messed up.
03/24/2021 11:42 PM - Brian Flanagan

Status: Feedback Start date: 03/24/2021
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B8) u15

Description

Folder names are being stored as the entire tree.

Likewise filenames are being stored as the entire tree.

| suspect the separator character is not being used when creating an AOZIP file.
Perhaps a hard-coded windows file separator has been used?

See attached extracted .ZIP for Fireworks 1.3 program, illustrating the problem.

History

#1 - 03/24/2021 11:43 PM - Brian Flanagan
- Affected version set to 1.0.0 (B5)

#2 - 03/25/2021 01:27 AM - Brian Flanagan
- File Corrupt_ZIP_Structure.png added

- Subject changed from AOZIP file structure is messed up for macOS. to AOZIP file structure is messed up.

| originally thought this was just a macOS error, but that's not the case.
Verified that the file structure of the .ZIP files created by .AOZIP is corrupt.
According to the .ZIP specification, ALL file separators MUST use the /.
(See attachment showing BOTH \ and / are being used.)
Corrupt_ZIP_Structure.png

#3 - 04/06/2021 03:18 PM - Francois Lionet

- Assignee set to Baptiste Bideaux

#4 - 06/10/2021 02:39 PM - Brian Flanagan

- Status changed from New to Resolved

It's working now! (1.0.0 B8, 3 June)

| can now double-click my .aozip and have it open properly in AOZ. Yeal!

The only issue now is that it opens in the root of the tree vs. in "My AOZ Applications".

Might | suggest using an Imported folder?
Also we'll need to make sure we handle the case of the Application folder already exists.

#5 - 06/10/2021 02:43 PM - Brian Flanagan

Actually, the .aozip is opening in the folder where it is on the machine, so it is doing as it should. Perhaps when extracting an .aozip we should as the
question as to whether we want to extract it to "My AOZ Applications". (I would think that perhaps that should be the default.)

#6 - 07/04/2021 08:51 AM - Brian Flanagan
- Status changed from Resolved to Feedback

- Affected version changed from 1.0.0 (B5) to 1.0.0 (B8) u15

Perhaps it was just a coincidence. Apparently, with the newest version, the archive is still corrupted. | just tried loading an .aozip someone created
using the newest version, which was corrupted.

I'm doing some additional testing.
